# SplFixedArray::offsetSet

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplFixedArray::offsetSet — Establece un nuevo valor para el índice específicado

### Descripción

public SplFixedArray::offsetSet(int `$index`, mixed `$value`): void

Establece el valor en el `index` específicado en `value`.

### Parámetros

`index`

  El índice a ser establecido.

`value`

  El nuevo valor para `index`.

### Valores devueltos

No devuelve ningún valor.

### Errores/Excepciones

Lanza una excepción de tipo RuntimeException cuando `index` está fuera del tamaño definido del array o cuando `index` no se puede procesar como un entero.